Bug 847466 - [abrt] rawtherapee-4.0.9-1.fc17: _int_free: Process /usr/bin/rawtherapee was killed by signal 11 (SIGSEGV)
[abrt] rawtherapee-4.0.9-1.fc17: _int_free: Process /usr/bin/rawtherapee was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:f5205762046b52a3bf020159d38...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 15:22 EDT by David Horvath
Modified: 2013-08-01 08:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.64 KB, text/plain)
2012-08-11 15:22 EDT, David Horvath
no flags Details
File: smolt_data (2.72 KB, text/plain)
2012-08-11 15:22 EDT, David Horvath
no flags Details
File: maps (42.81 KB, text/plain)
2012-08-11 15:22 EDT, David Horvath
no flags Details
File: dso_list (8.62 KB, text/plain)
2012-08-11 15:22 EDT, David Horvath
no flags Details

  None (edit)
Description David Horvath 2012-08-11 15:22:16 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rawtherapee
crash_function: _int_free
executable:     /usr/bin/rawtherapee
kernel:         3.5.0-2.fc17.x86_64
pid:            25145
pwd:            /home/berci
remote_result:  NOTFOUND
time:           2012. aug. 11., szombat, 21.08.18 CEST
uid:            1000
username:       berci

backtrace:      Text file, 68243 bytes
dso_list:       Text file, 8822 bytes
maps:           Text file, 43833 bytes
smolt_data:     Binary file, 2787 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:e269301fafc421669fee7a6244f5ba29429faa7f
:f69712fe393313f44607679e934bf5a67f39ec50
:9e6594e38d36f94f5e02c90731970f1c72396147
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:c4ec0971b2dcee71aaf8374975474054245fea00
:f4d479614b09460085428bbe7d53df454d0d39e5
:fd952473da735f9c0f50de231aa3d84d7855ef57
:b277af36744327e3d58eae76bcdaadcca71a28c6
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:87712be648d2d43ea4cd002fe7a859df636f1e13
:ec87953f655fbcbcbe71b591db5451e56739576e
:d4ffd15a5a656e6f7ea2415b2c5f21cc54cc1df0
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:1d0288598e0438654b5bfec74a8cf1c46598bf47
:91db217984786e7dd727627632e7699a9e4a8634
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:5a21060d9c8bf8faef9fd0a6f767d09d36730b12
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:db93eed682997015cdf4df0f73c822574f2da66f
:a6a94447f1fe9f7ed09f1118cdd836ab58926e56
:373e51713a44ff499594a4ff1a5acd8e9254c128
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:d804f8ee47797da9213a92f00cd095ecada8d79f
:f11637fe4d66ce68785e3565d4ad73c2cfd3b6ba
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:579734433e95e7aa37512b05d3ea5597d4169464
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:af478e1912b65b20f3a209cc8003e18ae2ecc862
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:712a8ccad54d22068d6c8dde6395f5b4b3a72659
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:edb66e9ce904aaaca21ec3777d64e0158854dbce
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:508cf66f72e70054a41215f80ed2385c6bb80030
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:f06640700fb0feb44c0318bd13869e0b0a5f72ec
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/berci/1

comment:
:1. open CR2 image
:2. save to JPG
:3. crash

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x7c23c _int_free libc.so.6 -
:579734433e95e7aa37512b05d3ea5597d4169464 0xad9a7 rtengine::ImProcFunctions::firstAnalysis(rtengine::Imagefloat*, librtengine.so -
:579734433e95e7aa37512b05d3ea5597d4169464 0x13b7bd rtengine::processImage(rtengine::ProcessingJob*, librtengine.so -
:1d0288598e0438654b5bfec74a8cf1c46598bf47 0xf1afe ProgressConnector<rtengine::IImage16*>::workingThread() [exe] -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x428dd - libglibmm-2.4.so.1 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x6a305 - libglib-2.0.so.0 -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=berci
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=berci
:USERNAME=berci
:MAIL=/var/spool/mail/berci
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/berci/.local/bin:/home/berci/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/berci
:XMODIFIERS=@im=none
:LANG=hu_HU.utf8
:GDM_LANG=hu_HU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/berci
:SHLVL=1
:LOGNAME=berci
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-5C3U2V2ZOA,guid=1d47f7989154175281420cbc0000001b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/berci
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-berci-5mT6lN/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/810,unix/unix:/tmp/.ICE-unix/810
:GNOME_KEYRING_CONTROL=/run/user/berci/keyring-erpZVa
:SSH_AUTH_SOCK=/run/user/berci/keyring-erpZVa/ssh
:GPG_AGENT_INFO=/run/user/berci/keyring-erpZVa/gpg:0:1
:LC_TIME=hu_HU.utf8
:LC_NUMERIC=hu_HU.utf8
:LC_MONETARY=hu_HU.utf8
:LC_MEASUREMENT=hu_HU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rawtherapee.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=25145

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15853                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15853                15853                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/berci/.xsession-errors
:pos:	208642
:flags:	0102002
:2:/home/berci/.xsession-errors
:pos:	208642
:flags:	0102002
:3:socket:[65792]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[65801]
:pos:	0
:flags:	02004002
:6:/home/berci/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:7:/home/berci/.local/share/gvfs-metadata/home-96d5786e.log
:pos:	0
:flags:	0100000
:8:socket:[65372]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Aug  6 17:14:31 berci abrt[7893]: Saved core dump of pid 7841 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-06-17:14:27-7841 (541130752 bytes)
:Aug  6 17:15:52 berci abrt[7964]: Saved core dump of pid 7931 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-06-17:15:48-7931 (473767936 bytes)
:Aug  6 17:18:05 berci abrt[8103]: Saved core dump of pid 7997 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-06-17:18:00-7997 (431636480 bytes)
:Aug  6 17:37:16 berci abrt[8570]: Saved core dump of pid 8555 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-06-17:37:13-8555 (414162944 bytes)
:Aug 11 18:23:58 berci abrt[23386]: Saved core dump of pid 23363 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-18:23:55-23363 (430866432 bytes)
:Aug 11 18:24:32 berci abrt[23434]: Saved core dump of pid 23403 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-18:24:29-23403 (414253056 bytes)
:Aug 11 18:25:09 berci abrt[23484]: Saved core dump of pid 23466 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-18:25:05-23466 (431067136 bytes)
:Aug 11 19:35:46 berci yum[24534]: Installed: rawtherapee-4.0.8-1.fc17.x86_64
:Aug 11 19:36:16 berci kernel: [20435.570718] rawtherapee[24561]: segfault at 0 ip 0000000000601c0b sp 00007fff0703a3e0 error 4 in rawtherapee[400000+346000]
:Aug 11 19:36:17 berci abrt[24579]: Saved core dump of pid 24561 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-19:36:16-24561 (320765952 bytes)
:Aug 11 19:36:39 berci kernel: [20458.630310] rawtherapee[24611]: segfault at 0 ip 0000000000601c0b sp 00007fffedc423d0 error 4 in rawtherapee[400000+346000]
:Aug 11 19:36:40 berci abrt[24632]: Saved core dump of pid 24611 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-19:36:39-24611 (290770944 bytes)
:Aug 11 20:36:09 berci yum[24754]: Updated: rawtherapee-4.0.9-1.fc17.x86_64
:Aug 11 20:40:11 berci kernel: [24271.159417] rawtherapee[24814]: segfault at 7fe949350730 ip 000000363107c23c sp 00007fe46dde1220 error 4 in libc-2.15.so[3631000000+1ac000]
:Aug 11 20:40:15 berci abrt[24816]: Saved core dump of pid 24785 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-20:40:11-24785 (464404480 bytes)
:Aug 11 20:43:33 berci kernel: [24473.253684] rawtherapee[24949]: segfault at 7fc121351fc0 ip 000000363107c23c sp 00007fbc39386220 error 4 in libc-2.15.so[3631000000+1ac000]
:Aug 11 20:43:37 berci abrt[24951]: Saved core dump of pid 24930 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-20:43:33-24930 (452935680 bytes)
:Aug 11 21:08:18 berci kernel: [25958.381371] rawtherapee[25175]: segfault at 7fec480a7bc0 ip 000000363107c23c sp 00007fe76081b220 error 4 in libc-2.15.so[3631000000+1ac000]
:Aug 11 21:08:22 berci abrt[25177]: Saved core dump of pid 25145 (/usr/bin/rawtherapee) to /var/spool/abrt/ccpp-2012-08-11-21:08:18-25145 (469004288 bytes)

xsession_errors:
:*** glibc detected *** rawtherapee: munmap_chunk(): invalid pointer: 0x00007fc7980524a0 ***
:rawtherapee(_ZN17ProgressConnectorIPN8rtengine8IImage16EE13workingThreadEv+0xce)[0x4f1afe]
:00400000-00754000 r-xp 00000000 08:01 162405                             /usr/bin/rawtherapee
:00954000-00955000 r--p 00354000 08:01 162405                             /usr/bin/rawtherapee
:00955000-00959000 rw-p 00355000 08:01 162405                             /usr/bin/rawtherapee
:00b58000-00c9f000 rw-p 00358000 08:01 162405                             /usr/bin/rawtherapee
:*** glibc detected *** rawtherapee: munmap_chunk(): invalid pointer: 0x00007fedf0056a50 ***
:rawtherapee(_ZN17ProgressConnectorIPN8rtengine8IImage16EE13workingThreadEv+0xce)[0x4f1afe]
:00400000-00754000 r-xp 00000000 08:01 162405                             /usr/bin/rawtherapee
:00954000-00955000 r--p 00354000 08:01 162405                             /usr/bin/rawtherapee
:00955000-00959000 rw-p 00355000 08:01 162405                             /usr/bin/rawtherapee
:00b58000-00c9f000 rw-p 00358000 08:01 162405                             /usr/bin/rawtherapee
:abrt-applet: repeated problem in rawtherapee-4.0.9-1.fc17, not showing the notification
:*** glibc detected *** rawtherapee: munmap_chunk(): invalid pointer: 0x00007f0330056250 ***
:rawtherapee(_ZN17ProgressConnectorIPN8rtengine8IImage16EE13workingThreadEv+0xce)[0x4f1afe]
:00400000-00754000 r-xp 00000000 08:01 162405                             /usr/bin/rawtherapee
:00954000-00955000 r--p 00354000 08:01 162405                             /usr/bin/rawtherapee
:00955000-00959000 rw-p 00355000 08:01 162405                             /usr/bin/rawtherapee
:00b58000-00c9f000 rw-p 00358000 08:01 162405                             /usr/bin/rawtherapee
:abrt-applet: repeated problem in rawtherapee-4.0.9-1.fc17, not showing the notification
:abrt-applet: repeated problem in rawtherapee-4.0.8-1.fc17, not showing the notification
Comment 1 David Horvath 2012-08-11 15:22:22 EDT
Created attachment 603705 [details]
File: backtrace
Comment 2 David Horvath 2012-08-11 15:22:24 EDT
Created attachment 603706 [details]
File: smolt_data
Comment 3 David Horvath 2012-08-11 15:22:27 EDT
Created attachment 603707 [details]
File: maps
Comment 4 David Horvath 2012-08-11 15:22:29 EDT
Created attachment 603708 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-04 00:00:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:25:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.